List webhooks

Returns a paginated list of webhooks.

The List webhooks endpoint returns a paginated list of webhooks configured in your contact center.

Requirements: Base URL, Authentication, Error codes

Scope: tasks.webhooks.read

What this does

When you send a List webhooks request,

Voiso
returns webhooks and the events each webhook is subscribed to.

Endpoint

GET /api/v4/tasks/webhooks

Query parameters

Optional parameters:

  • limit
    Maximum number of webhooks to return.
  • offset
    Number of webhooks to skip before collecting results.

Example request

curl -X GET "https://{cluster_id}.voiso.com/api/v4/tasks/webhooks?limit=20&offset=0" \
  -H "Authorization: Bearer <contact_center_api_key>" \
  -H "Content-Type: application/json"

Response

If successful, the API returns a webhooks array and metadata.

Example response

{
  "webhooks": [
    {
      "id": "0b97ce11-b6e0-49b4-8f92-68040aa324bf",
      "name": "CRM call events",
      "http_method": "post",
      "url": "https://example.com/webhook",
      "authentication_method": "basic",
      "headers": {
        "X-Custom-Header": "value"
      },
      "events": [
        "inbound.call.answered",
        "outbound.call.answered"
      ],
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z"
    }
  ],
  "metadata": {
    "total": 1
  }
}

(Example webhook fields are based on the Webhook schema.)

Troubleshooting

400 Bad Request

Returned if one or more query parameters are invalid.

401 Unauthorized

Returned if the API key is missing or invalid.

403 Forbidden

Returned if the API key does not have access to Tasks resources.

429 Too many requests

Returned if requests are rate limited.

Query Params
integer
≥ 0
Defaults to 0

The number of items to skip before starting to collect the result set.

integer
0 to 1000
Defaults to 100

The number of items to return.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json